{
  "$schema": "npc_operational_group_progressions",
  "npc_operational_group_progressions": [
    {"progression_type": 1, "progression_order": 100, "num_groups": 1, "count_group_type": 1, "operational_group_id": "orbital_defence", "mandatory": true},
    {"progression_type": 1, "progression_order": 200, "num_groups": 2, "count_group_type": 1, "operational_group_id": "geo_survey", "mandatory": true},
    {"progression_type": 1, "progression_order": 300, "num_groups": 2, "count_group_type": 1, "operational_group_id": "grav_survey", "mandatory": true},
    {"progression_type": 1, "progression_order": 400, "num_groups": 1, "count_group_type": 1, "operational_group_id": "missile_battle_fleet", "mandatory": true},
    {"progression_type": 1, "progression_order": 500, "num_groups": 1, "count_group_type": 2, "operational_group_id": "orbital_defence", "mandatory": true},
    {"progression_type": 1, "progression_order": 600, "num_groups": 2, "count_group_type": 1, "operational_group_id": "scout", "mandatory": true},
    {"progression_type": 1, "progression_order": 900, "num_groups": 1, "count_group_type": 2, "operational_group_id": "missile_battle_fleet", "mandatory": true},
    {"progression_type": 1, "progression_order": 1000, "num_groups": 1, "count_group_type": 3, "operational_group_id": "orbital_defence", "mandatory": true},
    {"progression_type": 1, "progression_order": 1100, "num_groups": 1, "count_group_type": 1, "operational_group_id": "fac_hunter_squadron", "mandatory": true},
    {"progression_type": 1, "progression_order": 1200, "num_groups": 1, "count_group_type": 1, "operational_group_id": "tanker", "mandatory": true},
    {"progression_type": 1, "progression_order": 1250, "num_groups": 1, "count_group_type": 1, "operational_group_id": "troop_transport_group", "mandatory": true},
    {"progression_type": 1, "progression_order": 1300, "num_groups": 1, "count_group_type": 1, "operational_group_id": "stabilisation_squadron", "mandatory": true},
    {"progression_type": 1, "progression_order": 1350, "num_groups": 1, "count_group_type": 1, "operational_group_id": "terraformer_group", "mandatory": true},
    {"progression_type": 1, "progression_order": 1360, "num_groups": 1, "count_group_type": 1, "operational_group_id": "colony_ship", "mandatory": true},
    {"progression_type": 1, "progression_order": 1400, "num_groups": 2, "count_group_type": 2, "operational_group_id": "geo_survey", "mandatory": false},
    {"progression_type": 1, "progression_order": 1500, "num_groups": 2, "count_group_type": 2, "operational_group_id": "grav_survey", "mandatory": false},
    {"progression_type": 1, "progression_order": 1600, "num_groups": 2, "count_group_type": 2, "operational_group_id": "scout", "mandatory": false},
    {"progression_type": 1, "progression_order": 1700, "num_groups": 1, "count_group_type": 1, "operational_group_id": "jp_defence", "mandatory": false},
    {"progression_type": 1, "progression_order": 1800, "num_groups": 1, "count_group_type": 1, "operational_group_id": "salvage_squadron", "mandatory": false},
    {"progression_type": 1, "progression_order": 2000, "num_groups": 1, "count_group_type": 3, "operational_group_id": "missile_battle_fleet", "mandatory": false},
    {"progression_type": 1, "progression_order": 2200, "num_groups": 1, "count_group_type": 2, "operational_group_id": "stabilisation_squadron", "mandatory": false},
    {"progression_type": 1, "progression_order": 2300, "num_groups": 1, "count_group_type": 2, "operational_group_id": "fac_hunter_squadron", "mandatory": false},
    {"progression_type": 1, "progression_order": 2400, "num_groups": 1, "count_group_type": 2, "operational_group_id": "salvage_squadron", "mandatory": false},
    {"progression_type": 1, "progression_order": 2700, "num_groups": 1, "count_group_type": 4, "operational_group_id": "missile_battle_fleet", "mandatory": false},

    {"progression_type": 3, "progression_order": 100, "num_groups": 1, "count_group_type": 1, "operational_group_id": "orbital_defence", "mandatory": true},
    {"progression_type": 3, "progression_order": 200, "num_groups": 2, "count_group_type": 1, "operational_group_id": "geo_survey", "mandatory": true},
    {"progression_type": 3, "progression_order": 300, "num_groups": 2, "count_group_type": 1, "operational_group_id": "grav_survey", "mandatory": true},
    {"progression_type": 3, "progression_order": 400, "num_groups": 1, "count_group_type": 1, "operational_group_id": "missile_battle_fleet_jump", "mandatory": true},
    {"progression_type": 3, "progression_order": 500, "num_groups": 1, "count_group_type": 2, "operational_group_id": "orbital_defence", "mandatory": true},
    {"progression_type": 3, "progression_order": 600, "num_groups": 2, "count_group_type": 1, "operational_group_id": "scout", "mandatory": true},
    {"progression_type": 3, "progression_order": 700, "num_groups": 1, "count_group_type": 2, "operational_group_id": "missile_battle_fleet_jump", "mandatory": true},
    {"progression_type": 3, "progression_order": 800, "num_groups": 1, "count_group_type": 3, "operational_group_id": "orbital_defence", "mandatory": true},
    {"progression_type": 3, "progression_order": 900, "num_groups": 1, "count_group_type": 1, "operational_group_id": "fac_hunter_squadron_jump", "mandatory": true},
    {"progression_type": 3, "progression_order": 1000, "num_groups": 1, "count_group_type": 1, "operational_group_id": "tanker", "mandatory": true},
    {"progression_type": 3, "progression_order": 1100, "num_groups": 1, "count_group_type": 1, "operational_group_id": "troop_transport_group_jump", "mandatory": true},
    {"progression_type": 3, "progression_order": 1200, "num_groups": 1, "count_group_type": 1, "operational_group_id": "stabilisation_squadron", "mandatory": true},
    {"progression_type": 3, "progression_order": 1300, "num_groups": 2, "count_group_type": 2, "operational_group_id": "geo_survey", "mandatory": true},
    {"progression_type": 3, "progression_order": 1350, "num_groups": 1, "count_group_type": 1, "operational_group_id": "terraformer_group", "mandatory": true},
    {"progression_type": 3, "progression_order": 1360, "num_groups": 1, "count_group_type": 1, "operational_group_id": "colony_ship", "mandatory": true},
    {"progression_type": 3, "progression_order": 1400, "num_groups": 2, "count_group_type": 2, "operational_group_id": "grav_survey", "mandatory": false},
    {"progression_type": 3, "progression_order": 1500, "num_groups": 2, "count_group_type": 2, "operational_group_id": "scout", "mandatory": false},
    {"progression_type": 3, "progression_order": 1600, "num_groups": 1, "count_group_type": 1, "operational_group_id": "jp_defence", "mandatory": false},
    {"progression_type": 3, "progression_order": 1800, "num_groups": 1, "count_group_type": 1, "operational_group_id": "salvage_squadron", "mandatory": false},
    {"progression_type": 3, "progression_order": 2000, "num_groups": 1, "count_group_type": 3, "operational_group_id": "missile_battle_fleet_jump", "mandatory": false},
    {"progression_type": 3, "progression_order": 2700, "num_groups": 1, "count_group_type": 4, "operational_group_id": "missile_battle_fleet_jump", "mandatory": false},

    {"progression_type": 5, "progression_order": 100, "num_groups": 1, "count_group_type": 1, "operational_group_id": "beam_orbital_defence", "mandatory": true},
    {"progression_type": 5, "progression_order": 200, "num_groups": 2, "count_group_type": 1, "operational_group_id": "geo_survey", "mandatory": true},
    {"progression_type": 5, "progression_order": 300, "num_groups": 2, "count_group_type": 1, "operational_group_id": "grav_survey", "mandatory": true},
    {"progression_type": 5, "progression_order": 400, "num_groups": 1, "count_group_type": 1, "operational_group_id": "beam_battle_fleet", "mandatory": true},
    {"progression_type": 5, "progression_order": 500, "num_groups": 1, "count_group_type": 2, "operational_group_id": "beam_orbital_defence", "mandatory": true},
    {"progression_type": 5, "progression_order": 600, "num_groups": 2, "count_group_type": 1, "operational_group_id": "scout", "mandatory": true},
    {"progression_type": 5, "progression_order": 900, "num_groups": 1, "count_group_type": 2, "operational_group_id": "beam_battle_fleet", "mandatory": true},
    {"progression_type": 5, "progression_order": 1000, "num_groups": 1, "count_group_type": 3, "operational_group_id": "beam_orbital_defence", "mandatory": true},
    {"progression_type": 5, "progression_order": 1100, "num_groups": 1, "count_group_type": 1, "operational_group_id": "beam_dd_squadron", "mandatory": true},
    {"progression_type": 5, "progression_order": 1200, "num_groups": 1, "count_group_type": 1, "operational_group_id": "tanker", "mandatory": true},
    {"progression_type": 5, "progression_order": 1250, "num_groups": 1, "count_group_type": 1, "operational_group_id": "troop_transport_group", "mandatory": true},
    {"progression_type": 5, "progression_order": 1300, "num_groups": 1, "count_group_type": 1, "operational_group_id": "stabilisation_squadron_beam", "mandatory": true},
    {"progression_type": 5, "progression_order": 1350, "num_groups": 1, "count_group_type": 1, "operational_group_id": "terraformer_group", "mandatory": true},
    {"progression_type": 5, "progression_order": 1360, "num_groups": 1, "count_group_type": 1, "operational_group_id": "colony_ship", "mandatory": true},
    {"progression_type": 5, "progression_order": 1400, "num_groups": 2, "count_group_type": 2, "operational_group_id": "geo_survey", "mandatory": false},
    {"progression_type": 5, "progression_order": 1500, "num_groups": 2, "count_group_type": 2, "operational_group_id": "grav_survey", "mandatory": false},
    {"progression_type": 5, "progression_order": 1600, "num_groups": 2, "count_group_type": 2, "operational_group_id": "scout", "mandatory": false},
    {"progression_type": 5, "progression_order": 1700, "num_groups": 1, "count_group_type": 1, "operational_group_id": "jp_defence_beam", "mandatory": false},
    {"progression_type": 5, "progression_order": 1800, "num_groups": 1, "count_group_type": 1, "operational_group_id": "salvage_squadron", "mandatory": false},
    {"progression_type": 5, "progression_order": 2000, "num_groups": 1, "count_group_type": 3, "operational_group_id": "beam_battle_fleet", "mandatory": false},
    {"progression_type": 5, "progression_order": 2700, "num_groups": 1, "count_group_type": 4, "operational_group_id": "beam_battle_fleet", "mandatory": false}
  ]
}
